import matplotlib.pyplot as plt

# Data for each question
questions = [
    "q4", "q5", "q6", "q7", "q8", "q9", "q10", "q11", "q12", "q13", 
    "q14", "q15", "q16", "q17", "q18", "q19", "q20", "q21", "q22", "q23"
]

answers = [
    ["a","b","c","d"],
    ["very", "little", "Neutral", "Dislikes"],
    ["a","b","c","d"],
    ["<1","1-2","3-5",">5"],
    ["a","b","c","d"],
    ["a","b","c"],
    ["a","b","c","d"],
    ["Yes", "No", "Maybe"],
    ["a","b","c","d"],
    ["a","b","c"],
    ["Yes", "Sometimes", "Never"],
    ["a","b","c","d"],
    ["Yes", "No"],
    ["Yes", "No"],
    ["a","b","c","d"],
    ["a","b","c","d"],
    ["Yes", "No"],
    ["a","b","c","d"],
    ["a","b","c","d"],
    ["a","b","c"],
]

respondents = [
    [9, 14, 30, 33], [12, 20, 28, 26], [7, 25, 30, 25], [61, 20, 3, 2], [7, 9, 5, 5],
    [27, 35, 24], [20, 33, 6, 43], [10, 24, 52], [20, 48, 39, 33], [15, 51, 20],
    [9, 17, 60], [13, 29, 5, 39], [3, 5], [17, 37], [30, 35, 21, 1], [28, 14, 65, 15],
    [57, 54], [17, 36, 11, 30], [28, 14, 65, 15], [30, 35, 21]
]

# Plot pie charts
fig, axs = plt.subplots(4, 5, figsize=(15, 12))

for i, ax in enumerate(axs.flat):
    question = questions[i]
    labels = answers[i]
    values = respondents[i]
    
    ax.pie(values, labels=labels, autopct='%1.1f%%', startangle=90)
    ax.set_title(question)

plt.suptitle("Pie Charts for Survey Questions (Q4 to Q23)", fontsize=16)
plt.tight_layout()
plt.show()
