import matplotlib.pyplot as plt
import pandas as pd

# Your data (replace with your actual data)
data = {
    'Year': [2000, 2005, 2010, 2015, 2020],
    'Cat2': [7.64, 3.33, 2.92, 12.57, 4.49],
    'Cat3': [3.89, 4.69, 5.13, 5.51, 5.21],
    'Cat4': [5.67, 5.53, 5.33, 5.59, 8.89],
    'Cat5': [5.76, 6.24, 5.84, 5.62, 5.83],
    'Cat6': [4.21, 5.52, 5.68, 5.64, 5.55],
    'Cat7': [3.36, 4.65, 6.11, 6.48, 6.32],
    'Cat8': [3.35, 3.97, 5.87, 6.45, 6.19],
    'Cat9': [3.49, 4.28, 4.58, 5.69, 5.38],
    'Cat10': [3.50, 4.13, 4.89, 5.39, 6.51],
    'Cat11': [5.37, 8.17, 6.93, 7.35, 6.97],
    'Cat12': [5.58, 5.65, 5.47, 5.11, 4.92],
    'Cat13': [0.08, 0.03, 0.13, 11.77, 14.91],
    'Cat14': [0.13, 0.26, 0.41, 10.14, 12.50],
    'Cat15': [5.90, 6.38, 7.15, 5.36, 10.11],
    'Cat16': [1.17, 1.48, 1.91, 2.55, 3.18]
}

# Convert the data to a DataFrame
df = pd.DataFrame(data)

# Plotting
plt.figure(figsize=(10, 6))
for category in df.columns[1:]:
    plt.plot(df['Year'], df[category], label=category)

# Add labels and title
plt.xlabel('Year')
plt.ylabel('Percentage')
plt.title('Percentages of The Categorical (2-16) Research Works Over the Years')
plt.legend()
plt.grid(True)
plt.show()