import matplotlib.pyplot as plt
from wordcloud import WordCloud

def generate_word_cloud(file_path):
    # Read text data from the specified file
    with open(file_path, 'r', encoding='utf-8') as file:
        text_data = file.read()

    # Generate a word cloud
    wordcloud = WordCloud(width=800, height=400, background_color='white').generate(text_data)

    # Display the generated word cloud using Matplotlib
    plt.figure(figsize=(10, 5))
    plt.imshow(wordcloud, interpolation='bilinear')
    plt.axis('off')
    plt.show()

# Specify the path to your TXT file
txt_file_path = '/content/titles.txt'

# Call the function to generate the word cloud
generate_word_cloud(txt_file_path)
